#ifndef		SHADOW_H
#define		SHADOW_H

#include "object.h"
#include "add_math.h"
//-----------------------------------------------------------------------------
// Name: struct ShadowVolume
// Desc: A shadow volume object
//-----------------------------------------------------------------------------
class ShadowVolume
{
    D3DXVECTOR3 *m_pVertices; // Vertex data for rendering shadow volume
    DWORD       m_dwNumVertices;

public:
    ShadowVolume();
    VOID    Reset() { m_dwNumVertices = 0; }
    HRESULT BuildFromMesh( class object *, D3DXVECTOR3 );
    HRESULT Render(  );
};

#endif